Subject: bug#52291: 29.0.50; "Unknown button type ‘help-function’"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Dec 2021 02:58:11 +0100

David Bremner <[email-masked]> writes:

> Please find attached "foo.el", a somewhat reduced test case from the
> notmuch source.
>
> When I run
>
> % emacs-29.0.50 -l foo.el --eval "(toggle-debug-on-error)" --eval \
>   "(documentation #'notmuch-search-mode)"
>
> I get the following backtrace
>
> Debugger entered--Lisp error: (error "Unknown button type ‘help-function’")
>   signal(error ("Unknown button type ‘help-function’"))
>   error("Unknown button type `%s'" help-function)
>   make-text-button(1300 1324 type help-function help-args (notmuch-search-scroll-up))
>   apply(make-text-button 1300 1324 (type help-function help-args (notmuch-search-scroll-up)))
>   insert-text-button("notmuch-search-scroll-up" type help-function help-args (notmuch-search-scroll-up))
>   help--describe-command(notmuch-search-scroll-up nil)

I think I've fixed this on the trunk now -- can you check?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no